Loading...
Searching...
No Matches
sensors::StateSensor::StateChangedEvent Struct Reference
Inheritance diagram for sensors::StateSensor::StateChangedEvent:

## Public Attributes

State | oldState
State | newState
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Definition at line 52 of file StateSensor.idl.

## Member Data Documentation

## newState

State sensors::StateSensor::StateChangedEvent::newState

Definition at line 54 of file StateSensor.idl.

## oldState

State sensors::StateSensor::StateChangedEvent::oldState

Definition at line 53 of file StateSensor.idl.

The documentation for this struct was generated from the following file:

- StateSensor.idl